import {
    createRouter,
    createWebHashHistory
} from 'vue-router'
import Login from "../views/login/login";
import Layout from "../views/layout/layout";
import Users from "../views/users/users";
import Devices from "../views/devices/devices";
import Map from "../views/map/map";
import Set from "../views/devices/set";
import MqttLogs from "../views/mqttLogs/logs";

const routes = [{
    path: "/",
    name: "Layout",
    component: Layout,
    children: [
        {
            path: "/users",
            name: "Users",
            component: Users
        },
        {
            path: "/devices",
            name: "Devices",
            component: Devices
        },
        {
            path: "/map",
            name: "Map",
            component: Map
        },
        {
            path: "/logs",
            name: "MqttLogs",
            component: MqttLogs
        },
        {
            path: "/set",
            name: "Set",
            component: Set
        }
    ]
},
    {
        path: "/login",
        name: "Login",
        component: Login,
    }
];
const router = createRouter({
    history: createWebHashHistory(),
    routes
});

export default router